Subject: bug#32345: 12.1.1; wrong preview position for four-byte utf-8 encoded character (xelatex)

From: David Kastrup <[email-masked]>
Date: Thu, 02 Aug 2018 14:13:24 +0200

jfbu <[email-masked]> writes:

> Le 02/08/2018 à 13:34, David Kastrup a écrit :
>> jfbu <[email-masked]> writes:
>>
>>> I obtain partial success with
>>>
>>> \documentclass{article}
>>> \usepackage{unicode-math}
>>> \begin{document}
>>>
>>> Test: $𝒞$
>>>
>>> \end{document}
>>
>> [...]
>>
>>> Further the log contains indication something went wrong indeed
>>>
>>> l.5 Test: $
>>>             풞$
>>> Preview: Tightpage -32891 -32891 32891 32891
>>> ./testpreview.tex:5: Preview: Snippet 1 ended.(456786+9830x428605).
>>
>> Maybe you should bother to mention what you consider "indication
>> something went wrong indeed".  preview-latex produces error messages on
>> purpose.  That's the only way to get to the right column.
>>
>> The problem here is that the character in the error message appears to
>> be a different character from what is in the source file, so
>> preview-latex isn't able to correlate it with the source.
>>
>
> So you do understand what I meant then?

No.  I am explaining what the log file content means.  There is nothing
in your posting suggesting that this was what you were trying to convey
and I do not consider it likely that a majority of readers of this
report would have been able to properly see the problem.

> Have a nice summer

Does that mean that I should refrain from answers on this list in the
next few months or that you chose to put me into your kill file?  If you
expect others to read between the lines, those would be the two most
obvious interpretations of that line.

Just stating what one wants to say tends to make particularly electronic
communication less troublesome for everybody involved since the usual
cues in face-to-face communication are not available.

All the best,

-- 
David Kastrup